import { Component, TemplateRef, Input } from '@angular/core';
import { fade, modal } from '../../animate/base';
var ModalComponent = (function () {
    function ModalComponent() {
        this.cb = function (e) { };
    }
    ModalComponent.prototype.initMsn = function () {
        this.lg = undefined;
        this.title = null;
        this.btn = 'single';
        this.type = undefined;
        this.cb = function (e) { };
    };
    Object.defineProperty(ModalComponent.prototype, "_content", {
        set: function (val) {
            this.initMsn();
            if (!val)
                return;
            this.bodyIsTp = val.content instanceof TemplateRef ? true : false;
            Object.assign(this, val);
        },
        enumerable: true,
        configurable: true
    });
    ModalComponent.prototype.fadeDone = function () {
        this.show ? this.modalShow = true : this.animateRunning = false;
    };
    ModalComponent.prototype.modalDone = function () {
        !this.modalShow ? this.show = false : this.animateRunning = false;
    };
    ModalComponent.prototype.close = function () {
        if (!this.animateRunning)
            this.modalShow = false;
    };
    ModalComponent.prototype.open = function () {
        this.show = true;
        this.animateRunning = true;
    };
    ModalComponent.decorators = [
        { type: Component, args: [{
                    selector: 'ngz-modal',
                    template: "\n<div class=\"modal-bg\" [@Fade] (@Fade.done)=\"fadeDone()\"  *ngIf=\"show\" (click)=\"close()\">\n    <div [@Modal] (@Modal.done)=\"modalDone()\" (click)=\"$event.stopPropagation()\" [class.modal-lg]=\"lg\" *ngIf=\"modalShow\" class=\"modal\" style=\"padding:0\">\n        <div class=\"modal-header\" [ngClass]=\"[type?'bg-'+type:'',type&&type!='l'?'color-wt':'']\">\n            <a [innerHTML]=\"title\"></a>\n            <strong (click)=\"close()\" class=\"close\">&times;</strong>\n        </div>\n        <div class=\"modal-divide\"></div>\n        <div [class.center]=\"!bodyIsTp\" class=\"modal-content\">\n            <div *ngIf=\"bodyIsTp;else str\" [innerTp]=\"content\"></div>\n            <ng-template #str>\n                <div [innerHTML]=\"content\"></div>\n            </ng-template>\n        </div>\n        <div *ngIf=\"btn\">\n            <div class=\"modal-divide\"></div>\n            <div class=\"modal-footer\" >\n                <button *ngIf=\"btn=='double'\" (click)=\"this.cb(true);this.close()\" class=\"btn0 btn-{{type||'o-l'}} btn-sm mx-2\">\u786E\u5B9A</button>\n                <button (click)=\"this.cb(false);this.close()\" class=\"btn0 btn-{{type||'o-l'}} btn-sm mx-2\">{{btn=='single'?'\u5173\u95ED':'\u53D6\u6D88'}}</button>\n            </div>\n        </div>\n    </div>\n</div>    \n    ",
                    animations: [fade('.2s'), modal()]
                },] },
    ];
    /** @nocollapse */
    ModalComponent.ctorParameters = function () { return []; };
    ModalComponent.propDecorators = {
        '_content': [{ type: Input, args: ['content',] },],
    };
    return ModalComponent;
}());
export { ModalComponent };
//# sourceMappingURL=modal.component.js.map