import { EventEmitter, ElementRef, ComponentFactoryResolver, TemplateRef, ChangeDetectorRef } from '@angular/core';
import { ToolService } from '../../tool/tool.service';
export declare class ngzTabContent {
    tp: TemplateRef<any>;
    state: string;
    constructor(tp: TemplateRef<any>);
}
export declare class ngzTabBtn {
    _el: ElementRef;
    node: any;
    constructor(_el: ElementRef);
    click(): void;
}
export declare class ngzTabComponent {
    private _cfr;
    tool: ToolService;
    private _cd;
    constructor(_cfr: ComponentFactoryResolver, tool: ToolService, _cd: ChangeDetectorRef);
    disabledDefault: boolean;
    noNavLine: boolean;
    appendBlock: string;
    appendNav: string;
    select: EventEmitter<number>;
    bar: any;
    default: number;
    type: string;
    contents: any;
    btns: any;
    ngAfterContentInit(): void;
    selectItem: number;
    contentControls: Array<ngzTabContent>;
    btnControls: Array<ngzTabBtn>;
    len: number;
    barLeft: number;
    barWidth: number;
    stripBar: any;
    initBar(): void;
    setBar(index: number): void;
    open(index: number): void;
    initContent(): void;
    initBtn(): void;
}
