import { Pipe } from '@angular/core';
import { limitStr } from '../tool/validate';
var LimitPipe = (function () {
    function LimitPipe() {
    }
    LimitPipe.prototype.transform = function (value, args) {
        if (!value)
            return '';
        var str = limitStr(value, args || 16);
        if (value != str)
            str += '...';
        return str;
    };
    LimitPipe.decorators = [
        { type: Pipe, args: [{
                    name: 'ngzLimitStr'
                },] },
    ];
    /** @nocollapse */
    LimitPipe.ctorParameters = function () { return []; };
    return LimitPipe;
}());
export { LimitPipe };
//# sourceMappingURL=limit.pipe.js.map