import { Injectable } from '@angular/core';
import { PositionService } from '../tool/pos.service';
import { Observable } from 'rxjs/Observable';
import 'rxjs/add/operator/throttleTime';
import 'rxjs/add/observable/fromEvent';
import 'rxjs/add/observable/merge';
var ScrollService = (function () {
    function ScrollService(pos) {
        var _this = this;
        this.pos = pos;
        this.getPos = function () {
            var top = _this.getScrollTop();
            return { top: top, bottom: top + window.innerHeight };
        };
        this.getScrollTop = function () { return window.pageYOffset; };
        this.getScrollEnd = function () { return document.querySelector('body').scrollHeight; };
        var scrollOb = Observable.fromEvent(window, 'scroll').map(function (event) { return _this.getPos(); });
        var endOb = scrollOb.debounceTime(150);
        this.scrollEvent = scrollOb.merge(endOb);
    }
    ScrollService.decorators = [
        { type: Injectable },
    ];
    /** @nocollapse */
    ScrollService.ctorParameters = function () { return [
        { type: PositionService, },
    ]; };
    return ScrollService;
}());
export { ScrollService };
//# sourceMappingURL=scroll.service.js.map