import { ElementRef, TemplateRef, Injector, ViewContainerRef, ComponentFactoryResolver, ChangeDetectorRef } from '@angular/core';
import { PositionService } from '../../tool/pos.service';
import { ToolService } from '../../tool/tool.service';
import { Resize } from '../../service/resize.service';
export declare class MenuComponent {
    private _cd;
    pos: PositionService;
    state: any;
    constructor(_cd: ChangeDetectorRef, el: ElementRef, pos: PositionService);
    origin: string;
    _place: string;
    placement: string;
    cb0: Function;
    open: (cb: Function) => void;
    cb: Function;
    close: (cb: Function) => void;
    done: () => any;
}
export declare class MenuDirective {
    private _vcr;
    private _cfr;
    private _injector;
    private _el;
    pos: PositionService;
    tool: ToolService;
    _res: Resize;
    placement: string;
    disCache: boolean;
    disDocument: boolean;
    tp: TemplateRef<any>;
    storeEl: any;
    body: any;
    isOpen: boolean;
    comRef: any;
    prevent: boolean;
    constructor(_vcr: ViewContainerRef, _cfr: ComponentFactoryResolver, _injector: Injector, _el: ElementRef, pos: PositionService, tool: ToolService, _res: Resize);
    close(force?: boolean): void;
    setPos(): void;
    open(): void;
    toggle(): void;
    click(): void;
    ngOnDestroy(): void;
}
