import { lib, getGroup, _replace } from './libClass';
var htmlAttr = function (partStr) {
    var reg = /([^\s]+?(?=(\=|\s|$)))|((\'|\").+?('|\"))/g;
    return _replace(partStr, reg, function (x) { return x.match(/\'|\"/) ? lib.tagVal(x) : lib.tagAttr(x); });
};
export function hHtml(val) {
    var reg = /&lt;.*?&gt;/g;
    var arr = getGroup(val, reg);
    var str = '', endTagReg = /&lt;[^\/\s]+/, value, temp;
    for (var i = 0, len = arr.length; i < len; i++) {
        value = arr[i];
        if (i % 2) {
            if (temp = endTagReg.exec(value)) {
                temp = temp.toString();
                if (temp.match('&gt;')) {
                    str += lib.tag(value);
                    //else attributes exists;
                }
                else {
                    var len_1 = temp.length, len2 = '&gt;'.length;
                    str += lib.tag(value.slice(0, len_1)) + htmlAttr(value.slice(len_1, -len2)) + lib.tag(value.slice(-len2));
                }
            }
            else {
                str += lib.tag(value);
            }
        }
        else {
            str += value;
        }
    }
    return str;
}
//# sourceMappingURL=html.js.map